1
apt autoremove
E: Invalid operation autoremove
E: Failed to fetch http://deb.parrotsec.org/parrot/pool/main/i/icu/libicu-dev_57.1-8_i386.deb  GnuTLS recv error (-54): Error in the pull function.

E: Failed to fetch http://deb.parrotsec.org/parrot/pool/main/u/uhd/uhd-host_3.10.2.0-3_i386.deb  GnuTLS recv error (-54): Error in the pull function.

E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?
  • 1
    sudo apt autoremove .. if you run apt without sudo, you ar missing superuser (root) rights. – Soren A Feb 7 '18 at 15:14
  • Hm, I think that's a different issue here. When I do it without sudo I get the error E: Unable to lock the administration directory (/var/lib/dpkg/), are you root?. – pLumo Feb 7 '18 at 15:31
  • @SorenA is correct. Search for your 'are you root?' error - it's been answered many times. – user535733 Feb 7 '18 at 18:12
0

I don't know why you are not able to run this operation, although there are some recommendations in order to achieve apt operations. First of all try to run it as sudo and then fix your repositories in /etc/apt/sources.list and /etc/apt/sources.list.d/yourRepos.list, it looks like you don't have access to http://deb.parrotsec.org

E: Failed to fetch http://deb.parrotsec.org/parrot/pool/main/i/icu/libicu-dev_57.1-8_i386.deb GnuTLS recv error (-54): Error in the pull function. E: Failed to fetch http://deb.parrotsec.org/parrot/pool/main/u/uhd/uhd-host_3.10.2.0-3_i386.deb GnuTLS recv error (-54): Error in the pull function. E: Unable to fetch some archives, maybe run apt-get update or try with --fix-missing?

You should fix your repositories and/or have a internet connection, then run apt-get update and apt-get autoremove

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.